## ratbox-services 1.2.4+repack

=== pcre/CMakeLists.txt ===
# CMakeLists.txt
#
#
# This file allows building PCRE with the CMake configuration and build
# tool. Download CMake in source or binary form from http://www.cmake.org/
#
# Original listfile by Christian Ehrlicher <Ch.Ehrlicher@gmx.de>
# Refined and expanded by Daniel Richard G. <skunk@iSKUNK.ORG>
# 2007-09-14 mod by Sheri so 7.4 supported configuration options can be entered
# 2007-09-19 Adjusted by PH to retain previous default settings
# 2007-12-26 (a) On UNIX, use names libpcre instead of just pcre
#            (b) Ensure pcretest and pcregrep link with the local library,
#                not a previously-installed one.
#            (c) Add PCRE_SUPPORT_LIBREADLINE, PCRE_SUPPORT_LIBZ, and
#                PCRE_SUPPORT_LIBBZ2.
# 2008-01-20 Brought up to date to include several new features by Christian
#            Ehrlicher.
# 2008-01-22 Sheri added options for backward compatibility of library names when
#            building with minGW:
#            if "ON", NON_STANDARD_LIB_PREFIX causes shared libraries to
#            be built without "lib" as prefix. (The libraries will be named pcre.dll,
#            pcreposix.dll and pcrecpp.dll).
#            if "ON", NON_STANDARD_LIB_SUFFIX causes shared libraries to
#            be built with suffix of "-0.dll". (The libraries will be named
#            libpcre-0.dll, libpcreposix-0.dll and libpcrecpp-0.dll - same names
#            built by default with Configure and Make.
# 2008-01-23 PH removed the automatic build of pcredemo.
# 2008-04-22 PH modified READLINE support so it finds NCURSES when needed.

PROJECT(PCRE C CXX)

CMAKE_MINIMUM_REQUIRED(VERSION 2.4.6)

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake) # for FindReadline.cmake

# external packages
FIND_PACKAGE( BZip2 )
FIND_PACKAGE( ZLIB )
FIND_PACKAGE( Readline )

# Configuration checks

INCLUDE(CheckIncludeFile)
INCLUDE(CheckIncludeFileCXX)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckTypeSize)

CHECK_INCLUDE_FILE(dirent.h     HAVE_DIRENT_H)
CHECK_INCLUDE_FILE(sys/stat.h   HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(sys/types.h  HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILE(unistd.h     HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(windows.h    HAVE_WINDOWS_H)

CHECK_INCLUDE_FILE_CXX(type_traits.h            HAVE_TYPE_TRAITS_H)
CHECK_INCLUDE_FILE_CXX(bits/type_traits.h       HAVE_BITS_TYPE_TRAITS_H)

CHECK_FUNCTION_EXISTS(bcopy     HAVE_BCOPY)
CHECK_FUNCTION_EXISTS(memmove   HAVE_MEMMOVE)
CHECK_FUNCTION_EXISTS(strerror  HAVE_STRERROR)
CHECK_FUNCTION_EXISTS(strtoll   HAVE_STRTOLL)
CHECK_FUNCTION_EXISTS(strtoq    HAVE_STRTOQ)
CHECK_FUNCTION_EXISTS(_strtoi64 HAVE__STRTOI64)

CHECK_TYPE_SIZE("long long"             LONG_LONG)
CHECK_TYPE_SIZE("unsigned long long"    UNSIGNED_LONG_LONG)

# User-configurable options
#
# (Note: CMakeSetup displays these in alphabetical order, regardless of
# the order we use here)

SET(BUILD_SHARED_LIBS OFF CACHE BOOL
    "Build shared libraries instead of static ones.")

OPTION(PCRE_BUILD_PCRECPP "Build the PCRE C++ library (pcrecpp)." ON)

SET(PCRE_EBCDIC OFF CACHE BOOL
    "Use EBCDIC coding instead of ASCII. (This is rarely used outside of mainframe systems)")

SET(PCRE_LINK_SIZE "2" CACHE STRING
    "Internal link size (2, 3 or 4 allowed). See LINK_SIZE in config.h.in for details.")

SET(PCRE_MATCH_LIMIT "10000000" CACHE STRING
    "Default limit on internal looping. See MATCH_LIMIT in config.h.in for details.")

SET(PCRE_MATCH_LIMIT_RECURSION "MATCH_LIMIT" CACHE STRING
    "Default limit on internal recursion. See MATCH_LIMIT_RECURSION in config.h.in for details.")

SET(PCRE_NEWLINE "LF" CACHE STRING
    "What to recognize as a newline (one of CR, LF, CRLF, ANY, ANYCRLF).")

SET(PCRE_NO_RECURSE OFF CACHE BOOL
    "If ON, then don't use stack recursion when matching. See NO_RECURSE in config.h.in for details.")

SET(PCRE_POSIX_MALLOC_THRESHOLD "10" CACHE STRING
    "Threshold for malloc() usage. See POSIX_MALLOC_THRESHOLD in config.h.in for details.")

SET(PCRE_SUPPORT_UNICODE_PROPERTIES OFF CACHE BOOL
    "Enable support for Unicode properties. (If set, UTF-8 support will be enabled as well)")

SET(PCRE_SUPPORT_UTF8 OFF CACHE BOOL
    "Enable support for the Unicode UTF-8 encoding.")

SET(PCRE_SUPPORT_BSR_ANYCRLF OFF CACHE BOOL
    "ON=Backslash-R matches only LF CR and CRLF, OFF=Backslash-R matches all Unicode Linebreaks")


IF (MINGW)
  OPTION(NON_STANDARD_LIB_PREFIX
         "ON=Shared libraries built in mingw will be named pcre.dll, etc., instead of libpcre.dll, etc."
         OFF)

  OPTION(NON_STANDARD_LIB_SUFFIX
         "ON=Shared libraries built in mingw will be named libpcre-0.dll, etc., instead of libpcre.dll, etc."
         OFF)
ENDIF(MINGW)

# bzip2 lib
IF(BZIP2_FOUND)
  OPTION (PCRE_SUPPORT_LIBBZ2 "Enable support for linking pcregrep with libbz2." ON)
ENDIF(BZIP2_FOUND)
IF(PCRE_SUPPORT_LIBBZ2)
  INCLUDE_DIRECTORIES(${BZIP2_INCLUDE_DIR})
ENDIF(PCRE_SUPPORT_LIBBZ2)

# zlib
IF(ZLIB_FOUND)
  OPTION (PCRE_SUPPORT_LIBZ "Enable support for linking pcregrep with libz." ON)
ENDIF(ZLIB_FOUND)
IF(PCRE_SUPPORT_LIBZ)
  INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
ENDIF(PCRE_SUPPORT_LIBZ)

# readline lib
IF(READLINE_FOUND)
  OPTION (PCRE_SUPPORT_LIBREADLINE  "Enable support for linking pcretest with libreadline." ON)
ENDIF(READLINE_FOUND)
IF(PCRE_SUPPORT_LIBREADLINE)
  INCLUDE_DIRECTORIES(${READLINE_INCLUDE_DIR})
ENDIF(PCRE_SUPPORT_LIBREADLINE)

# Prepare build configuration

SET(pcre_have_type_traits 0)
SET(pcre_have_bits_type_traits 0)

IF(HAVE_TYPE_TRAITS_H)
        SET(pcre_have_type_traits 1)
ENDIF(HAVE_TYPE_TRAITS_H)

IF(HAVE_BITS_TYPE_TRAITS_H)
        SET(pcre_have_bits_type_traits 1)
ENDIF(HAVE_BITS_TYPE_TRAITS_H)

SET(pcre_have_long_long 0)
SET(pcre_have_ulong_long 0)

IF(HAVE_LONG_LONG)
        SET(pcre_have_long_long 1)
ENDIF(HAVE_LONG_LONG)

IF(HAVE_UNSIGNED_LONG_LONG)
        SET(pcre_have_ulong_long 1)
ENDIF(HAVE_UNSIGNED_LONG_LONG)

IF(NOT BUILD_SHARED_LIBS)
        SET(PCRE_STATIC 1)
ENDIF(NOT BUILD_SHARED_LIBS)

IF(PCRE_SUPPORT_BSR_ANYCRLF)
        SET(BSR_ANYCRLF 1)
ENDIF(PCRE_SUPPORT_BSR_ANYCRLF)

IF(PCRE_SUPPORT_UTF8 OR PCRE_SUPPORT_UNICODE_PROPERTIES)
        SET(SUPPORT_UTF8 1)
ENDIF(PCRE_SUPPORT_UTF8 OR PCRE_SUPPORT_UNICODE_PROPERTIES)

IF(PCRE_SUPPORT_UNICODE_PROPERTIES)
        SET(SUPPORT_UCP 1)
ENDIF(PCRE_SUPPORT_UNICODE_PROPERTIES)

# This next one used to contain
#       SET(PCRETEST_LIBS ${READLINE_LIBRARY})
# but I was advised to add the NCURSES test as well, along with
# some modifications to cmake/FindReadline.cmake which should
# make it possible to override the default if necessary. PH

IF(PCRE_SUPPORT_LIBREADLINE)
        SET(SUPPORT_LIBREADLINE 1)
        SET(PCRETEST_LIBS ${READLINE_LIBRARY} ${NCURSES_LIBRARY})
ENDIF(PCRE_SUPPORT_LIBREADLINE)

IF(PCRE_SUPPORT_LIBZ)
        SET(SUPPORT_LIBZ 1)
        SET(PCREGREP_LIBS ${PCREGREP_LIBS} ${ZLIB_LIBRARIES})
ENDIF(PCRE_SUPPORT_LIBZ)

IF(PCRE_SUPPORT_LIBBZ2)
        SET(SUPPORT_LIBBZ2 1)
        SET(PCREGREP_LIBS ${PCREGREP_LIBS} ${BZIP2_LIBRARIES})
ENDIF(PCRE_SUPPORT_LIBBZ2)

SET(NEWLINE "")

IF(PCRE_NEWLINE STREQUAL "LF")
        SET(NEWLINE "10")
ENDIF(PCRE_NEWLINE STREQUAL "LF")
IF(PCRE_NEWLINE STREQUAL "CR")
        SET(NEWLINE "13")
ENDIF(PCRE_NEWLINE STREQUAL "CR")
IF(PCRE_NEWLINE STREQUAL "CRLF")
        SET(NEWLINE "3338")
ENDIF(PCRE_NEWLINE STREQUAL "CRLF")
IF(PCRE_NEWLINE STREQUAL "ANY")
        SET(NEWLINE "-1")
ENDIF(PCRE_NEWLINE STREQUAL "ANY")
IF(PCRE_NEWLINE STREQUAL "ANYCRLF")
        SET(NEWLINE "-2")
ENDIF(PCRE_NEWLINE STREQUAL "ANYCRLF")

IF(NEWLINE STREQUAL "")
        MESSAGE(FATAL_ERROR "The PCRE_NEWLINE variable must be set to one of the following values: \"LF\", \"CR\", \"CRLF\", \"ANY\", \"ANYCRLF\".")
ENDIF(NEWLINE STREQUAL "")

IF(PCRE_EBCDIC)
        SET(EBCDIC 1)
ENDIF(PCRE_EBCDIC)

IF(PCRE_NO_RECURSE)
        SET(NO_RECURSE 1)
ENDIF(PCRE_NO_RECURSE)

# Output files

CONFIGURE_FILE(config-cmake.h.in
               ${CMAKE_BINARY_DIR}/config.h
               @ONLY)

CONFIGURE_FILE(pcre.h.generic
               ${CMAKE_BINARY_DIR}/pcre.h
               COPYONLY)

# What about pcre-config and libpcre.pc?

IF(PCRE_BUILD_PCRECPP)
        CONFIGURE_FILE(pcre_stringpiece.h.in
                       ${CMAKE_BINARY_DIR}/pcre_stringpiece.h
                       @ONLY)

        CONFIGURE_FILE(pcrecpparg.h.in
                       ${CMAKE_BINARY_DIR}/pcrecpparg.h
                       @ONLY)
ENDIF(PCRE_BUILD_PCRECPP)

# Character table generation

OPTION(PCRE_REBUILD_CHARTABLES "Rebuild char tables" OFF)
IF(PCRE_REBUILD_CHARTABLES)
  ADD_EXECUTABLE(dftables dftables.c)

  GET_TARGET_PROPERTY(DFTABLES_EXE dftables LOCATION)

  ADD_CUSTOM_COMMAND(
    COMMENT "Generating character tables (pcre_chartables.c) for current locale"
    DEPENDS dftables
    COMMAND ${DFTABLES_EXE}
    ARGS        ${CMAKE_BINARY_DIR}/pcre_chartables.c
    OUTPUT      ${CMAKE_BINARY_DIR}/pcre_chartables.c
  )
ELSE(PCRE_REBUILD_CHARTABLES)
  CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/pcre_chartables.c.dist
                    ${CMAKE_BINARY_DIR}/pcre_chartables.c
                    COPYONLY)
ENDIF(PCRE_REBUILD_CHARTABLES)

# Source code

SET(PCRE_HEADERS ${CMAKE_BINARY_DIR}/pcre.h)

SET(PCRE_SOURCES
  ${CMAKE_BINARY_DIR}/pcre_chartables.c
  pcre_compile.c
  pcre_config.c
  pcre_dfa_exec.c
  pcre_exec.c
  pcre_fullinfo.c
  pcre_get.c
  pcre_globals.c
  pcre_info.c
  pcre_newline.c
  pcre_maketables.c
  pcre_ord2utf8.c
  pcre_refcount.c
  pcre_study.c
  pcre_tables.c
  pcre_try_flipped.c
  pcre_ucp_searchfuncs.c
  pcre_valid_utf8.c
  pcre_version.c
  pcre_xclass.c
)

SET(PCREPOSIX_HEADERS pcreposix.h)

SET(PCREPOSIX_SOURCES pcreposix.c)

SET(PCRECPP_HEADERS
  pcrecpp.h
  pcre_scanner.h
  ${CMAKE_BINARY_DIR}/pcrecpparg.h
  ${CMAKE_BINARY_DIR}/pcre_stringpiece.h
)

SET(PCRECPP_SOURCES
        pcrecpp.cc
        pcre_scanner.cc
        pcre_stringpiece.cc
)

# Build setup

ADD_DEFINITIONS(-DHAVE_CONFIG_H)

IF(MSVC)
        ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
ENDIF(MSVC)

SET(CMAKE_INCLUDE_CURRENT_DIR 1)
# needed to make sure to not link debug libs
# against release libs and vice versa
IF(WIN32)
  SET(CMAKE_DEBUG_POSTFIX "d")
ENDIF(WIN32)

# Libraries
# pcre
ADD_LIBRARY(pcre ${PCRE_HEADERS} ${PCRE_SOURCES} ${CMAKE_BINARY_DIR}/config.h)
ADD_LIBRARY(pcreposix ${PCREPOSIX_HEADERS} ${PCREPOSIX_SOURCES})
TARGET_LINK_LIBRARIES(pcreposix pcre)
IF(MINGW AND NOT PCRE_STATIC)
  IF(NON_STANDARD_LIB_PREFIX)
    SET_TARGET_PROPERTIES(pcre pcreposix
                        PROPERTIES PREFIX ""
    )
  ENDIF(NON_STANDARD_LIB_PREFIX)

  IF(NON_STANDARD_LIB_SUFFIX)
    SET_TARGET_PROPERTIES(pcre pcreposix
                        PROPERTIES SUFFIX "-0.dll"
    )
  ENDIF(NON_STANDARD_LIB_SUFFIX)
ENDIF(MINGW AND NOT PCRE_STATIC)


# pcrecpp
IF(PCRE_BUILD_PCRECPP)
  ADD_LIBRARY(pcrecpp ${PCRECPP_HEADERS} ${PCRECPP_SOURCES})
  TARGET_LINK_LIBRARIES(pcrecpp pcre)

  IF(MINGW AND NOT PCRE_STATIC)
    IF(NON_STANDARD_LIB_PREFIX)
      SET_TARGET_PROPERTIES(pcrecpp
                            PROPERTIES PREFIX ""
      )
    ENDIF(NON_STANDARD_LIB_PREFIX)

    IF(NON_STANDARD_LIB_SUFFIX)
      SET_TARGET_PROPERTIES(pcrecpp
                          PROPERTIES SUFFIX "-0.dll"
      )
    ENDIF(NON_STANDARD_LIB_SUFFIX)
  ENDIF(MINGW AND NOT PCRE_STATIC)
ENDIF(PCRE_BUILD_PCRECPP)


# Executables

ADD_EXECUTABLE(pcretest pcretest.c)
TARGET_LINK_LIBRARIES(pcretest pcreposix ${PCRETEST_LIBS})

ADD_EXECUTABLE(pcregrep pcregrep.c)
TARGET_LINK_LIBRARIES(pcregrep pcreposix ${PCREGREP_LIBS})

# Removed by PH (2008-01-23) because pcredemo shouldn't really be built
# automatically, and it gave trouble in some environments anyway.
# ADD_EXECUTABLE(pcredemo pcredemo.c)
# TARGET_LINK_LIBRARIES(pcredemo pcreposix)
# IF(NOT BUILD_SHARED_LIBS)
#     # make sure to not use declspec(dllimport) in static mode on windows
#         SET_TARGET_PROPERTIES(pcredemo PROPERTIES COMPILE_FLAGS "-DPCRE_STATIC")
# ENDIF(NOT BUILD_SHARED_LIBS)

IF(PCRE_BUILD_PCRECPP)
        ADD_EXECUTABLE(pcrecpp_unittest pcrecpp_unittest.cc)

## ratbox-services 1.2.4

=== debian/changelog ===
ratbox-services (1.2.4-1) unstable; urgency=low

  * New upstream release.
  * Fixed IRC acronym capitalization in package description (Closes:
    #580130).
  * Added watch file.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 28 May 2010 01:11:18 +0200

ratbox-services (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Added myself to Uploaders (with Nohar's blessing).
  * Increased Standards-Version to 3.8.4.0 (no changes).
  * Switched to dpkg-source 3.0 (quilt) format.
  * Switched to compat level 7.
  * Improved LSB headers in the init script (and fixed init.d-script-
    missing-dependency-on-remote_fs).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 25 Mar 2010 16:47:54 +0100

ratbox-services (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Remove patch s_userserv.diff and configure-equals.patch, upstream.
  * Use sqlite3 in path rather than forcing /usr/bin/sqlite3 in
    ratbox-services-sqlite3 postinst.
  * Bump standards version (no change needed).

 -- Arnaud Cornet <acornet@debian.org>  Mon, 16 Feb 2009 12:21:25 +0100

ratbox-services (1.1.2-3) unstable; urgency=low

  * Add patch s_userserv.diff, fixes a minor SQL injection (Closes:
    #492574).

 -- Arnaud Cornet <acornet@debian.org>  Sun, 27 Jul 2008 15:27:33 +0200

ratbox-services (1.1.2-2) unstable; urgency=low

  * Add configure-equals.patch, (Closes: #459178).
  * Bump standards-version (no change needed).
  * Add Homepage tag.

 -- Arnaud Cornet <acornet@debian.org>  Sun, 20 Jan 2008 18:22:45 +0100

ratbox-services (1.1.2-1) unstable; urgency=low

  * Initial release.

 -- Arnaud Cornet <acornet@debian.org>  Thu, 23 Aug 2007 21:09:58 +0200

=== debian/control ===
Source: ratbox-services
Section: net
Priority: optional
Maintainer: Arnaud Cornet <acornet@debian.org>
Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Standards-Version: 3.8.4
Build-Depends: cdbs, debhelper (>= 7.0.0), libsqlite3-dev, bison, flex, libmysqlclient15-dev, libpq-dev
Homepage: http://services.ircd-ratbox.org/

Package: ratbox-services-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ratbox-services-sqlite
Description: IRC services for use with ircd-ratbox
 ratbox-services is a highly configurable IRC services program, with nearly all
 options being set in a config that can be rehashed rather than set at compile
 time.
 .
 This package contains files common to all ratbox-services packages.

Package: ratbox-services-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ratbox-services-common, sqlite3
Conflicts: ratbox-services
Provides: ratbox-services
Replaces: ratbox-services-pgsql, ratbox-services-mysql
Description: IRC services for use with ircd-ratbox with the sqlite backend
 ratbox-services is a highly configurable IRC services program, with nearly all
 options being set in a config that can be rehashed rather than set at compile
 time.
 .
 This package uses the SQLite database backend.

Package: ratbox-services-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ratbox-services-common
Conflicts: ratbox-services
Provides: ratbox-services
Replaces: ratbox-services-sqlite, ratbox-services-mysql
Description: IRC services for use with ircd-ratbox with the PostgreSQL backend
 ratbox-services is a highly configurable IRC services program, with nearly all
 options being set in a config that can be rehashed rather than set at compile
 time.
 .
 This package uses the PostgreSQL database backend.

Package: ratbox-services-mysql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ratbox-services-common
Conflicts: ratbox-services
Provides: ratbox-services
Replaces: ratbox-services-pgsql, ratbox-services-sqlite
Description: IRC services for use with ircd-ratbox with the mysql backend
 ratbox-services is a highly configurable IRC services program, with nearly all
 options being set in a config that can be rehashed rather than set at compile
 time.
 .
 This package uses the MySQL database backend.

=== debian/rules ===
#!/usr/bin/make -f

FLAVOURS := sqlite pgsql mysql
VERSION := 1.2.4
DEB_TAR_SRCDIR := ratbox-services-$(VERSION)

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_DH_INSTALLINIT_ARGS := --name=ratbox-services
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --sysconfdir=/etc/ratbox-services \
	--with-logdir=/var/log/ratbox-services \
	--with-rundir=/var/run/ratbox-services

common_root = debian/ratbox-services-common

cur_flavour = $(patsubst ratbox-services-%,%,$(cdbs_curpkg))
install_root = debian/ratbox-services-$(cur_flavour)
build_dir = $(_cdbs_tarball_dir)/ratbox-services-$(cur_flavour)

$(patsubst %,configure/ratbox-services-%,$(FLAVOURS)) ::
	cp -a $(_cdbs_tarball_dir)/ratbox-services-$(VERSION) \
		$(_cdbs_tarball_dir)/ratbox-services-$(cur_flavour)


configure/ratbox-services-sqlite::
	(cd $(build_dir) && \
		./configure $(DEB_CONFIGURE_EXTRA_FLAGS) \
			$(DEB_CONFIGURE_USER_FLAGS) )
	(cd $(build_dir)/tools && ./generate-schema.pl)

configure/ratbox-services-pgsql::
	(cd $(build_dir) && \
		./configure $(DEB_CONFIGURE_EXTRA_FLAGS) \
			$(DEB_CONFIGURE_USER_FLAGS) \
			--without-sqlite3 --enable-pgsql)
	(cd $(build_dir)/tools && ./generate-schema.pl)

configure/ratbox-services-mysql::
	(cd $(build_dir) && \
		./configure $(DEB_CONFIGURE_EXTRA_FLAGS) \
			--without-sqlite3 --enable-mysql)
	(cd $(build_dir)/tools && ./generate-schema.pl)

$(patsubst %,build/ratbox-services-%,$(FLAVOURS)) ::
	make -C $(build_dir)

$(patsubst %,install/ratbox-services-%,$(FLAVOURS)) ::
	make -C $(build_dir) \
		DESTDIR=$(shell pwd)/debian/ratbox-services-$(cur_flavour) \
		install
	mv $(install_root)/etc/ratbox-services/example.conf \
		$(install_root)/etc/ratbox-services/ratbox-services.conf
	if [ ! -d $(common_root)/usr/share/ratbox-services/bin ] ; then \
		mkdir -p $(common_root)/usr/share/ratbox-services/bin && \
		mv $(install_root)/usr/include \
			$(common_root)/usr/share/ratbox-services && \
		mv $(install_root)/usr/share/ratbox-services/help \
			$(common_root)/usr/share/ratbox-services && \
		mv $(install_root)/usr/bin/* \
			$(common_root)/usr/share/ratbox-services/bin ; \
	fi
	rm -rf $(install_root)/usr/include
	rm -rf $(install_root)/usr/share/ratbox-services/help
	rm -rf $(install_root)/usr/bin
	rm -rf $(install_root)/var
	mkdir -p $(install_root)/usr/share/ratbox-services/lib
	cp $(build_dir)/tools/schema-$(cur_flavour).txt \
		$(install_root)/usr/share/ratbox-services/lib/schema-$(cur_flavour).sql

binary-fixup/ratbox-services-common::
	chown irc:irc $(common_root)/var/log/ratbox-services

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg(\.\d+)?// \
  http://services.ircd-ratbox.org/download/ ratbox-services-(.*).tgz

## ratbox-services 1.2.4%2Brepack

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg(\.\d+)?// \
  http://services.ratbox.org/download.shtml
  ftp://ftp.parodius.com/pub/ircd-ratbox/ratbox-services/ratbox-services-(.*).tgz

## ratbox-services 1.2.4+repack

=== debian/changelog ===
ratbox-services (1.2.4+repack-1) unstable; urgency=medium

  * Repacked to used upstream tarball directly.
  * Switched to DH and compat level 9.
  * Moved language and configuration files in ratbox-services-common
    package.
  * Added 'out-of-tree_buildsys_fix' patch to be able to build out of
    tree for each database flavour.
  * Added lintian override about the unused sqlite3 local copy.
  * Bumped Standards-Version to 3.8.5 (no changes).
  * Moved sqlite database in /var, as suggested by Clint Adams in
    #734429 (required 'db_path_fhs_fix' patch).
  * Ensure sqlite can create auxiliary files in the database directory
    (Closes: #734429).
  * Fixed package purging.
  * Reworked init script (exit codes, messages, leftover pidfile, status
    and conftest subcommands, cleanup).
  * Added 'gcc_format-security_fix' patch to cope with crypt()'s new
    behavior in recent libc (see #714219).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sun, 26 Jan 2014 21:53:27 +0100

ratbox-services (1.2.4-2) unstable; urgency=low

  * Added VCS information.
  * Updated URLs in Homepage, copyright, and watch file.
  * Increased Standards-Version to 3.9.3.0 (no changes).
  * Took over the maintenance with nohar's blessing.
  * Build-depends on libmysqlclient-dev instead of libmysqlclient15-dev
    to pick up the latest version (Closes: #652267).
  * Ensure starting the service after ircd-ratbox or any database.
  * Enable hardened build flags through dpkg-buildflags.
  * Build using system libpcre instead of embedded one.
  * Ensure to remove everything at purge time (Closes: #656446).
  * Use CURDIR instead of calling pwd in 'debian/rules'.
  * Simplified rules a bit.
  * Replaced obsolete DEB_DH_INSTALLINIT_ARGS parameter.
  * Reformated copyright file to final 1.0 machine-readable format.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 14 Apr 2012 23:59:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,20 @@
 Source: ratbox-services
 Section: net
 Priority: optional
-Maintainer: Arnaud Cornet <acornet@debian.org>
-Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Standards-Version: 3.8.4
-Build-Depends: cdbs, debhelper (>= 7.0.0), libsqlite3-dev, bison, flex, libmysqlclient15-dev, libpq-dev
-Homepage: http://services.ircd-ratbox.org/
+Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Standards-Version: 3.9.5
+Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper (>= 9), autotools-dev,
+ libsqlite3-dev, bison, flex, libmysqlclient-dev, libpq-dev, libpcre3-dev
+Vcs-Git: git://git.debian.org/collab-maint/ratbox-services.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/ratbox-services.git;a=summary
+Homepage: http://services.ratbox.org/
 
 Package: ratbox-services-common
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
 Recommends: ratbox-services-sqlite
+Replaces: ratbox-services-sqlite (<< 1.2.4+repack),
+ ratbox-services-pgsql (<< 1.2.4+repack), ratbox-services-mysql (<< 1.2.4+repack)
 Description: IRC services for use with ircd-ratbox
  ratbox-services is a highly configurable IRC services program, with nearly all
  options being set in a config that can be rehashed rather than set at compile

=== debian/rules ===
#!/usr/bin/make -f

FLAVOURS := sqlite pgsql mysql

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-export-dynamic -Wl,--as-needed

# sysconfdir is not properly handled by upstream buildsys
COMMON_FLAGS := \
	--sysconfdir=/etc/ratbox-services \
	--with-logdir=/var/log/ratbox-services \
	--with-rundir=/var/run/ratbox-services
FL_sqlite_FLAGS := $(DEB_CONFIGURE_USER_FLAGS)
FL_pgsql_FLAGS := --without-sqlite3 --enable-pgsql $(DEB_CONFIGURE_USER_FLAGS)
FL_mysql_FLAGS := --without-sqlite3 --enable-mysql


%:
	dh $@ --with autotools_dev

flavour = $(filter-out %/,$(subst /,/ ,$@))
builddir = $(CURDIR)/$(patsubst %,build-%,$(flavour))
instdir = $(CURDIR)/$(patsubst %,debian/ratbox-services-%,$(flavour))
# install ratbox-services-common using one of the flavours
commonflavour = $(firstword $(FLAVOURS))

override_dh_auto_configure: $(FLAVOURS:%=configure/%)
configure/%:
	mkdir -p $(builddir)
	dh_auto_configure --builddirectory=$(builddir) -- \
		$(COMMON_FLAGS) $(FL_$(flavour)_FLAGS)

override_dh_auto_build: $(FLAVOURS:%=build/%)
build/%:
	touch $(builddir)/src/.depend
	make -C $(builddir) depend
	dh_auto_build --builddirectory=$(builddir)
	cp -r $(CURDIR)/tools $(builddir)
	cp $(CURDIR)/include/client.h $(CURDIR)/include/channel.h \
		$(CURDIR)/include/rserv.h $(builddir)/include/
	(cd $(builddir)/tools && ./generate-schema.pl)

override_dh_auto_install: install/common $(FLAVOURS:%=install/%)
	dh_auto_install --remaining-packages
install/common:
	mkdir -p $(builddir)
	dh_auto_install --package=ratbox-services-$(commonflavour) \
		--builddirectory=build-$(commonflavour) -- \
		DESTDIR=$(builddir)
	mv $(builddir)/usr/include \
		$(instdir)/usr/share/ratbox-services
	mv $(builddir)/usr/share/ratbox-services/help \
		$(instdir)/usr/share/ratbox-services
	mv $(builddir)/usr/share/ratbox-services/langs \
		$(instdir)/usr/share/ratbox-services
	mv $(builddir)/usr/bin \
		$(instdir)/usr/share/ratbox-services/scripts
	mv $(builddir)/etc/ratbox-services/example.conf \
		$(instdir)/etc/ratbox-services/ratbox-services.conf
install/%:
	dh_auto_install --package=ratbox-services-$(flavour) \
		--builddirectory=$(builddir) -- \
		DESTDIR=$(instdir)
	rm -rf $(instdir)/usr/include \
		$(instdir)/usr/share/ratbox-services/help \
		$(instdir)/usr/share/ratbox-services/help-old \
		$(instdir)/usr/share/ratbox-services/langs \
		$(instdir)/usr/bin \
		$(instdir)/var \
		$(instdir)/etc
	mkdir -p $(instdir)/usr/share/ratbox-services/database
	cp $(builddir)/tools/schema-$(flavour).txt \
		$(instdir)/usr/share/ratbox-services/database/schema-$(flavour).sql

override_dh_installinit:
	dh_installinit --package=ratbox-services-common --name=ratbox-services

# otherwise fails because doc/ChangeLog is a directory
override_dh_installchangelogs:
	dh_installchangelogs -Xdoc/ChangeLog

override_dh_fixperms:
	dh_fixperms
	chown irc:irc $(CURDIR)/debian/ratbox-services-common/var/log/ratbox-services

clean:
	rm -rf build-*
